%define name rar
%define version 3.1.1
%define release 1rph
%define vendor rpmhelp.net

Name:		%{name}
Summary:	The RAR Archiver for Linux
Version:	%{version}
Release:	%{release}
License:	Shareware
Group:		Archiving/Compression
URL:		http://www.rarlab.com/
Source:		rarlinux-%{version}.tar.bz2
BuildArch:	i386
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot


%description
RAR introduces a NEW and original compression algorithm.  It allows higher 
compression ratios than other PC archiving tools, especially on executable 
files, Object libraries, large text files, etc.  RAR also offers a NEW, 
optional, compression algorithm highly optimized for multimedia data.  RAR 
provides functionality for creating a 'solid' archive, which can raise the 
compression ratio by 10% - 50% over more common methods, particularly when
packing large numbers of small files.  RAR offers the ability to create and 
change SFX archives using default and external SFX modules.  RAR offers the 
ability to create a multi-volume archive as SFX.  Finally, RAR offers a 
number of service functions, such as setting a password, adding archive and 
file comments.  Even physically damaged archives may be repaired and an 
archive may be locked to prevent further changes.  Authenticity information 
may be added for additional security and RAR will store information on the 
last update and name of the archive.


%prep
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
%setup -q -n %{name}


%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_docdir}/%{name}-%{version}
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_sysconfdir}
install -m755 $RPM_BUILD_DIR/%{name}/rar %{buildroot}%{_bindir}
install -m755 $RPM_BUILD_DIR/%{name}/unrar %{buildroot}%{_bindir}
install -m755 $RPM_BUILD_DIR/%{name}/default.sfx %{buildroot}%{_libdir}
install -m644 $RPM_BUILD_DIR/%{name}/rarfiles.lst %{buildroot}%{_sysconfdir}
install -m644 $RPM_BUILD_DIR/%{name}/*.txt %{buildroot}%{_docdir}/%{name}-%{version}


%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}


%files
%defattr(-,root,root)
%docdir %{_docdir}/%{name}-%{version}
%{_docdir}/%{name}-%{version}
%{_bindir}/rar
%{_bindir}/unrar
%{_libdir}/default.sfx
%config(noreplace) %{_sysconfdir}/rarfiles.lst


%changelog
* Wed Mar 05 2003 Paul Cox <paul@coxcentral.com> 3.1.1-1rph
- 3.1.1
- changed URL
- spec file cleanups

* Sun Jun 03 2001 Paul Cox <pcox@linux-mandrake.com> 2.8-1mdk
- 2.8
- Changed permissions on dos.sfx to 755.
- Moved default.sfx and dos.sfx to /usr/lib.
- Moved rarfiles.lst to /etc.

* Sun Feb 18 2001 Vincent Danen <vdanen@mandrakesoft.com> 2.8.b4-1mdk
- 2.8 beta 4

* Sat Oct 28 2000 Vincent Danen <vdanen@mandrakesoft.com> 2.71-1mdk
- 2.71
- macros

* Sat Jun 17 2000 Vincent Danen <vdanen@linux-mandrake.com> 2.70-1mdk
- initial specfile
